package org.xbib.groovy.crypt

class Encoder {

    private static final String BASE64_SET = "./0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz"

    /**
     * Encodes a 24-bit value as a character array containing base 64.
     * @param b2 high-order 8 bits
     * @param b1 middle 8 bits
     * @param b0 low-order 8 bits
     * @param n number of characters to encode
     * @return character array of length {@code n} containing the base 64
     *    representation of the input value
     */
    static char[] base64(byte b2, byte b1, byte b0, int n) {
        char[] buf = new char[n];
        int i = 0;
        int w = (((int) b2 & 0xff) << 16) | (((int) b1 & 0xff) << 8) | ((int) b0 & 0xff)
        while (i < n) {
            buf[i++] = BASE64_SET.charAt(w & 0x3f)
            w >>>= 6
        }
        return buf
    }
}
