package org.xbib.groovy.ftps;

import org.xbib.io.ftp.fs.FTPSEnvironment;
import org.xbib.io.ftp.fs.FTPSFileSystemProvider;
import java.io.IOException;
import java.net.URI;
import java.nio.file.FileSystem;
import java.util.Map;

public class FTPSContext {

    final FTPSFileSystemProvider provider;

    final FileSystem fileSystem;

    FTPSContext(URI uri, Map<String, ?> env) throws IOException {
        this.provider = new FTPSFileSystemProvider();
        this.fileSystem = provider.newFileSystem(uri, env != null ? env : new FTPSEnvironment());
    }

    void close() throws IOException {
        fileSystem.close();
    }
}
