package org.xbib.groovy.ftps

import groovy.util.logging.Log
import org.junit.Test
import org.xbib.io.ftp.fs.SecurityMode

import java.nio.file.Files
import java.nio.file.Path

@Log
class FTPSTest {

    @Test
    void testExplicitFTPS() {
        Map env = [
                username: 'demo',
                password: 'password'.toCharArray()
        ]
        FTPS ftps = FTPS.newInstance("ftps://test.rebex.net:21", env)
        log.info ftps.exists('/') as String
        ftps.each('/') { Path path ->
            log.info "${path} ${Files.isDirectory(path)} ${Files.getLastModifiedTime(path)}"
        }
    }

    @Test
    void testImplicitFTPS() {
        Map env = [
                username: 'demo',
                password: 'password'.toCharArray(),
                securityMode: SecurityMode.IMPLICIT
        ]
        FTPS ftps = FTPS.newInstance("ftps://test.rebex.net:990", env)
        log.info ftps.exists('/') as String
        ftps.each('/') { Path path ->
            log.info "${path} ${Files.isDirectory(path)} ${Files.getLastModifiedTime(path)}"
        }
    }
}
